﻿using System;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Ink;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;

namespace BingMapTest.DTO
{
    public class LocationViewModel
    {
        public int LocationId { get; set; }
        public double Latitude { get; set; }
        public double Longitude { get; set; }
        public string Title { get; set; }
        public string Description { get; set; }
        public DateTime CreateDate { get; set; }

        public LocationViewModel()
        {
        }

        public LocationViewModel(object location) : this()
        {
            Converter.ConvertToBusinessObject<LocationViewModel>(this, location);
        }

    }
}
